Commit 0ca5c87c authored by Antony Saba's avatar Antony Saba

Updates for change from `.terraform_version` to `.terraform-version`

parent 4da97950
......@@ -12,7 +12,7 @@ before_script:
# Terraform requires a key file for TF_VAR_ssh_key. We don't really use it
# but it has to be there.
- echo "This is not a real key" > /fake_user_key
- TF_VERSION="$(cat .terraform_version)" make tfinstall
- TF_VERSION="$(cat .terraform-version)" make tfinstall
- wget -q https://github.com/wata727/tflint/releases/download/v0.5.4/tflint_linux_amd64.zip && unzip tflint_linux_amd64.zip && mv tflint /bin
tf_format:
......@@ -59,7 +59,7 @@ tf_validate:
# environment:
# name: staging
# script:
# - TF_VERSION="$(cat environments/staging/.terraform_version)" make tfinstall
# - TF_VERSION="$(cat environments/staging/.terraform-version)" make tfinstall
# - cd environments/staging && /terraform init -input=false -backend-config="bucket=${STATE_S3_BUCKET}" -backend-config="key=${STATE_S3_KEY}" -backend-config="region=${STATE_S3_REGION}" && /terraform apply -input=false
# only:
# - master
......@@ -52,7 +52,7 @@ First and foremost, remember that Terraform is an extremely powerful tool so be
* We use differing versions of terraform in our environments. You'll want to
ensure you have all available versions prior running anything in terraform.
* `find ./ -name .terraform_version -exec cat {} \;`
* `find ./ -name .terraform-version -exec cat {} \;`
* our wrapper scripts mentioned above will help protect you from running
terraform with the incorrect desired version
* Make sure you're not specifying `knife[:identity_file]` in your `.chef/knife.rb`. If you do need it then comment it out every time you create a new node. If you don't then the node provisioning will fail with an error like this: `Errno::ENODEV: Operation not supported by device`.
......
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment